Mail API reference

Mail API · Integrations

get/v1/workspaces/{workspace_id}/integrations/github/sync/{sync_id}Auth

Poll a sync run's status.

Path parameters

workspace_id*string · uuid

Id of the workspace.

sync_id*string

Id of the sync.

Response · 200

status*object

Where the sync is: `running`, then `completed` or `failed`.

started_at*string · date-time

When the sync started.

ended_at*string · date-time

When the sync finished; null while running.

summary*object

Counts of what the sync changed; null while running.

error*string

Why the sync failed; null unless `failed`.

Example

Request

GET https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/integrations/github/sync/{sync_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "status": {},
  "started_at": "2026-01-01T00:00:00.000Z",
  "ended_at": "2026-01-01T00:00:00.000Z",
  "summary": {},
  "error": "string"
}